EDIT - task #8419

Harmonization of the different specimen representations
07/30/2019 11:25 AM - Andreas Kohlbecker

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 30%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal

Description

There are different kinds of "views" for specimens lists

e some of them provide a pager others do not
¢ do operate on different webservice response types (FieldUnitDto, ...) and are thus not exchangeable.

The three views

e Treeview (bottom up view from field unit to all derivates) #7599

e "compressed" Specimentable: #6816, #6870, #7685, #....
¢ Specimen path (top down view from derivate to field unit)

TODO

1. Decide on using a pager for the sepcimen list or not. This has to be seen also with focus on the occurrence map. IMHO the map
should always show all occurrences. Now the map provides info-boxes which will technically linked with the entries in the
specimen lists, so that the according list entry in turn gets focused/opened. This requires that all specimens are present in the
list, or that the list can automatically scroll/jump to any specimen entry. Examples for pages with for with many many
specimens!!!

http://campanula.e-taxonomy.net/cdm_dataportal/taxon/cdcacbda-11c0-4cb8-a2e0-8d7abc5ae756/specimens?pager%5B
ageNumber%5D=0
o http:/floreafriqguecentrale.org/?q=cdm_dataportal/taxon/635e8aa8-64ad-477f-a64e-b74756d05f95/specimens
2. Unify specimen views to that all of them are working with DTO response types.
3. Display of modifiers:
o if a modifier is given a space is missing between the name and the modifier
o preferably use abbrev label for the modifier, only if not available use label (however, the determination modifiers are not yet
correctly implemented in the model as they can be found at various positions in the name, so we need a model change and
a fomatter for these before it can be handled really correctly

Related issues:

Related to EDIT - task #8420: improve admin settings for specimens representa... Closed
Related to EDIT - feature request #3756: Missing data and layout improvements... New
Related to EDIT - task #8379: Review strange specimen implementations Closed
Related to EDIT - feature request #6866: Improve specimen page Closed
Related to EDIT - feature request #6708: Open images from specimen table in s... New
Related to EDIT - feature request #8948: Specimen page: specimen description... New
Related to EDIT - bug #7084: display SpecimenOrObservationBase.preferredStabl... New
Related to EDIT - bug #8935: Specimen Table: improved and more complete detai... New
Related to EDIT - feature request #7599: treeView for specimen data in datapo... Closed
Related to EDIT - feature request #6870: Further specimen table issues New
Related to EDIT - feature request #7685: Add Selenium tests for specimen tabl... Closed
Related to EDIT - task #9187: selenium test for specimen table view Duplicate
Related to EDIT - task #9186: selenium test for specimen top down view (aka d... Closed
Related to EDIT - task #9191: selenium test for specimen tree view (bottom up) Closed
Related to EDIT - task #3978: Specimenview path: Compact representation of ex... Closed
Related to EDIT - feature request #3307: optionally reduce complexity in spec... Worksforme
Related to EDIT - feature request #9249: compact display of collection inform... Closed
https://dev.e-taxonomy.eu/redmine/issues/7599
https://dev.e-taxonomy.eu/redmine/issues/6816
https://dev.e-taxonomy.eu/redmine/issues/6870
https://dev.e-taxonomy.eu/redmine/issues/7685
http://campanula.e-taxonomy.net/cdm_dataportal/taxon/cdcacbda-11c0-4cb8-a2e0-8d7abc5ae756/specimens?pager%5BpageNumber%5D=0
http://campanula.e-taxonomy.net/cdm_dataportal/taxon/cdcacbda-11c0-4cb8-a2e0-8d7abc5ae756/specimens?pager%5BpageNumber%5D=0
http://floreafriquecentrale.org/?q=cdm_dataportal/taxon/635e8aa8-64ad-477f-a64e-b74756d05f95/specimens

Related to EDIT - bug #7606: compact display of CDM Point data Duplicate

Related to EDIT - task #9251: Specimenview path: better representation of Rec... New

Related to EDIT - task #9252: Harmonize SpecimenOrOberservationBase related DTOs Closed
Related to EDIT - task #9253: revise OccurrenceServicelmpl.findFieldUnitDTO(..) Closed
Related to EDIT - bug #5863: Specimen tab condensed table does not show Colle... Worksforme
Related to EDIT - feature request #10058: Further improve specimen page (fact... New

Related to EDIT - bug #10059: Link for stored under and identification on spe... Closed
Related to EDIT - feature request #9584: specimen page: character data displa... Closed
Copied from EDIT - task #8406: specimens and occurrence code cleaning and har... Closed
Copied from EDIT - feature request #2985: Improve Specimen details display Closed

Associated revisions

Revision 71a05785 - 10/14/2020 11:54 AM - Andreas Kohlbecker

ref #8419 refactoring to harmonize dto and entitiy code

Revision 69b6c2b3 - 10/16/2020 12:04 PM - Andreas Kohlbecker

ref #8419 ref #9252 introducing specimenldentifier field in DTO and experimental accessionNumber cleanup

Revision 56a041f8 - 10/19/2020 09:39 AM - Andreas Kohlbecker

ref #8419 specimen tree view: display of specimen type designations optional (disabled)

Revision d5b2e2e8 - 10/19/2020 01:13 PM - Andreas Kohlbecker

ref #8419 fixing bug render hints usage and new render template default for names in speciemen views

Revision 8031902e - 10/20/2020 07:35 AM - Andreas Kohlbecker

ref #8419 supressing most significantindentifier in specimen tree view

Revision dab257a8 - 10/20/2020 01:53 PM - Andreas Kohlbecker

ref #8419 speciemen tree view: defined order of child derivatives

Revision b1f25a11 - 10/20/2020 02:56 PM - Andreas Kohlbecker

ref #8419 speciemen tree view: defined order of child derivatives - adapting test case

Revision 3cea6be15 - 10/22/2020 01:28 PM - Andreas Kohlbecker

ref #8419 using tables to show occurrence details

Revision 5370c90a - 10/22/2020 01:28 PM - Andreas Kohlbecker

ref #8419 table headers with internal links

Revision e809ac5d - 10/23/2020 04:49 PM - Andreas Kohlbecker

ref #7599, ref #8419 specimen tree view with nested tables

History

#1 - 07/30/2019 11:25 AM - Andreas Kohlbecker

- Copied from task #8406: specimens and occurrence code cleaning and harmonization added

#2 - 07/30/2019 11:28 AM - Andreas Kohlbecker

- Related to task #8420: improve admin settings for specimens representations added

#3 - 09/20/2019 05:38 PM - Andreas Kohlbecker

- Target version changed from Release 5.10 to Release 5.11

#4 - 11/04/2019 04:37 PM - Andreas Kohlbecker

- Target version changed from Release 5.11 to Release 5.12

#5 - 01/16/2020 11:55 AM - Andreas Kohlbecker
- Target version changed from Release 5.12 to Release 5.13

#6 - 03/10/2020 09:32 AM - Andreas Kohlbecker

- Target version changed from Release 5.13 to Release 5.14

#7 - 04/08/2020 04:10 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#8 - 06/23/2020 02:02 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#9 - 07/31/2020 11:11 AM - Andreas Kohlbecker

- Related to feature request #3756: Missing data and layout improvements for MediaSpecimen in data portal added

#10 - 07/31/2020 11:11 AM - Andreas Kohlbecker

- Related to task #8379: Review strange specimen implementations added

#11 - 07/31/2020 11:12 AM - Andreas Kohlbecker

- Related to feature request #6866: Improve specimen page added

#12 - 07/31/2020 11:12 AM - Andreas Kohlbecker

- Related to feature request #6708: Open images from specimen table in separate tab and in a viewer added

#13 - 07/31/2020 11:13 AM - Andreas Kohlbecker

- Related to feature request #8948: Specimen page: specimen description link to description details page added

#14 - 07/31/2020 11:13 AM - Andreas Kohlbecker
- Related to bug #7084: display SpecimenOrObservationBase.preferredStableUri in DataPortal added

#15 - 07/31/2020 11:14 AM - Andreas Kohlbecker

- Related to bug #8935: Specimen Table: improved and more complete details row for character data added

#16 - 08/10/2020 11:00 AM - Andreas Kohlbecker

- Related to feature request #7599: treeView for specimen data in dataportal added

#17 - 08/10/2020 11:03 AM - Andreas Kohlbecker

- Description updated

#18 - 08/10/2020 11:03 AM - Andreas Kohlbecker

- Description updated

#19 - 08/10/2020 11:04 AM - Andreas Kohlbecker

- Description updated

#20 - 08/10/2020 11:04 AM - Andreas Kohlbecker

- Description updated

#21 - 08/13/2020 11:53 AM - Andreas Kohlbecker

- Description updated

#22 - 08/13/2020 11:53 AM - Andreas Kohlbecker

- Related to feature request #6870: Further specimen table issues added

#23 - 08/13/2020 11:53 AM - Andreas Kohlbecker

- Related to feature request #7685: Add Selenium tests for specimen table in data portal added

#24 - 08/13/2020 11:55 AM - Andreas Kohlbecker
- Related to task #9187: selenium test for specimen table view added

#25 - 08/13/2020 11:55 AM - Andreas Kohlbecker

- Related to task #9186: selenium test for specimen top down view (aka devivate_path view) added

#26 - 08/14/2020 07:31 AM - Andreas Kohlbecker

- Related to task #9191: selenium test for specimen tree view (bottom up) added

#27 - 10/09/2020 11:44 AM - Andreas Kohlbecker
- Description updated

#28 - 10/09/2020 11:44 AM - Andreas Kohlbecker
- Description updated

#29 - 10/09/2020 12:43 PM - Andreas Kohlbecker

- Description updated

#30 - 10/09/2020 12:55 PM - Andreas Kohlbecker

- Description updated

#31 - 10/09/2020 12:58 PM - Andreas Kohlbecker

- Description updated

#32 - 10/09/2020 12:59 PM - Andreas Kohlbecker

- Description updated

#33 - 10/09/2020 01:18 PM - Andreas Kohlbecker

- Description updated

#34 - 10/09/2020 01:18 PM - Andreas Kohlbecker
- Copied from feature request #2985: Improve Specimen details display added

#35 - 10/09/2020 01:25 PM - Andreas Kohlbecker

- Related to task #3978: Specimenview path: Compact representation of exactLocation added

#36 - 10/09/2020 01:26 PM - Andreas Kohlbecker

- Related to feature request #3307: optionally reduce complexity in specimen display added

#37 - 10/12/2020 02:45 PM - Andreas Kohlbecker

- Related to feature request #9249: compact display of collection information added

#38 - 10/12/2020 03:28 PM - Andreas Kohlbecker
- Related to bug #7606: compact display of CDM Point data added

#39 - 10/13/2020 06:02 PM - Andreas Kohlbecker

- Related to task #9251: Specimenview path: better representation of RecordBasis added

#40 - 10/14/2020 02:04 PM - Andreas Kohlbecker
- Related to task #9252: Harmonize SpecimenOrOberservationBase related DTOs added

#41 - 10/15/2020 11:11 AM - Andreas Kohlbecker
- Related to task #9253: revise OccurrenceServicelmpl.findFieldUnitDTO(..) added

#42 - 10/15/2020 12:17 PM - Andreas Kohlbecker

- Related to bug #5863: Specimen tab condensed table does not show Collection for single collection added

#43 - 12/01/2020 02:54 PM - Andreas Kohlbecker
- Status changed from New to In Progress

- % Done changed from 0 to 30

work still in progress, moving ticket to next milestone

#44 - 01/15/2021 12:13 PM - Andreas Kohlbecker

- Target version changed from Release 5.18 to Release 5.19

#45 - 01/27/2021 03:20 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#46 - 03/10/2021 03:30 PM - Andreas Kohlbecker

- Target version changed from Release 5.21 to Release 5.22

#47 - 04/19/2021 02:47 PM - Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.25

#48 - 07/15/2021 06:25 PM - Andreas Kohlbecker

- Target version changed from Release 5.25 to Release 5.45

#49 - 05/12/2022 02:52 PM - Andreas Miiller

- Subject changed from harmonization of the different specimen representations to Harmonization of the different specimen representations

#50 - 05/12/2022 02:56 PM - Andreas Miiller

- Related to feature request #10058: Further improve specimen page (factual data, extensions, added

#51 - 05/12/2022 05:20 PM - Andreas Miiller

- Related to bug #10059: Link for stored under and identification on specimen page does not work correctly added

#52 - 05/12/2022 05:21 PM - Andreas Miiller

- Related to feature request #9584: specimen page: character data displayed in details section added
